# __gnu_cxx::__detail::_Ffit_finder< _Tp > Class Template Reference

The class which acts as a predicate for applying the first-fit memory allocation policy for the bitmap allocator. More...

Inheritance diagram for __gnu_cxx::__detail::_Ffit_finder< _Tp >:

List of all members.

## Public Types

- typedef std::pair< _Tp, _Tp > argument_type
- typedef bool result_type

## Public Member Functions

- size_t * _M_get () const throw ()
- _Counter_type _M_offset () const throw ()
- bool operator() (_Block_pair __bp) throw ()

## Detailed Description

### template<typename _Tp>
class __gnu_cxx::__detail::_Ffit_finder< _Tp >

The class which acts as a predicate for applying the first-fit memory allocation policy for the bitmap allocator.

Definition at line 356 of file bitmap_allocator.h.

## Member Typedef Documentation

typedef std::pair< _Tp, _Tp > std::unary_function< std::pair< _Tp, _Tp > , bool >::argument_type `[inherited]`

`argument_type` is the type of the argument (no surprises here)

Definition at line 102 of file stl_function.h.

typedef bool std::unary_function< std::pair< _Tp, _Tp > , bool >::result_type `[inherited]`

`result_type` is the return type

Definition at line 105 of file stl_function.h.

The documentation for this class was generated from the following file:

- bitmap_allocator.h